Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ Bug Reports
Author Message
mrix
Client


Joined: Dec 04, 2004
Posts: 757

PostPosted: Mon Mar 07, 2005 2:12 pm Reply with quote

Hello all I have just installed the sentinel 2.2 but find I have no access ti the forum admin page? I did have the same problem with the last upgrade and the problem was rectified by some code change in sentinal.php.. anyone have any idea`s with this problem??/
Cheers
all
mrix
 
View user's profile Send private message Visit poster's website
chatserv
Member Emeritus


Joined: May 02, 2003
Posts: 1389
Location: Puerto Rico

PostPosted: Mon Mar 07, 2005 2:36 pm Reply with quote

Only registered users can see links on this board! Get registered or login!
 
View user's profile Send private message Visit poster's website
mrix
PostPosted: Mon Mar 07, 2005 4:27 pm Reply with quote

Hi thanks for the link but I find these topics centre around sentinel.php and the new file is called nukesetinel.php are they the same file but diff names etc?
Cheers
mrix
 
chatserv
PostPosted: Mon Mar 07, 2005 7:24 pm Reply with quote

Same concept but with nukesentinel.php in it, if you updated your mainfile.php code could have errors, it either is looking for the wrong file, it has $forum_id instead of the FORUM_ADMIN define or you don't have Nuke Patched 2.9 installed.
 
mrix
PostPosted: Tue Mar 08, 2005 1:54 am Reply with quote

Your right it was the not having the 2.9 patch I have now installed it and I finally have access to the forum admin yayyyy........one strange glitch though in normal admin panel I have 2 forum square icons???? this is not much of a problem I know as both links do the same thing. would be nice to remove one of them though ????
Many thanks for you help
mrix
 
chatserv
PostPosted: Tue Mar 08, 2005 8:51 am Reply with quote

Delete the forum admin files from admin/case, admin/links and admin/modules
 
speedx
Hangin' Around


Joined: May 27, 2004
Posts: 42

PostPosted: Thu Mar 10, 2005 3:04 pm Reply with quote

My forum admin page is blank also, i tried the fixes and it does not work, if i take the mainfile.php and at the top it has

if ($forum_admin == 1) {
include("../../../includes/nukesentinel.php");
} elseif ($inside_mod == 1) {
include("../../includes/nukesentinel.php");
} else {
include("includes/nukesentinel.php");
}


if i change all the lines that say includes/nukesentinel.php TO includes/sentinel.php everthing works ok .. any thoughts?
PS this is for the newest sentinel were the files are nukesentinel and not sentinel ... just to clear that up

Thanks
 
View user's profile Send private message Visit poster's website
chatserv
PostPosted: Thu Mar 10, 2005 3:21 pm Reply with quote

The latest version of NukeSentinel requires Nuke Patched 2.9 and mainfile.php must match my second post in here: (of course with nukesentinel.php instead of sentinel.php) Only registered users can see links on this board! Get registered or login!
 
speedx
PostPosted: Thu Mar 10, 2005 4:19 pm Reply with quote

What if the page is customized alot .. this would take a lot of work to go though the php files and fix them
 
speedx
PostPosted: Thu Mar 10, 2005 5:03 pm Reply with quote

well i updated to the patched 2.9 and now i get this error ... Redirection limit for this URL exceeded .... i cant even get to the 192.168 ... Only registered users can see links on this board! Get registered or login! also does not work .. i tried /index.php and without .. i cand find the line in the mainfile.php to change .. help Smile
 
speedx
PostPosted: Thu Mar 10, 2005 5:22 pm Reply with quote

well i put back my old db.php file and that fixed it i can now get to the webpage..
 
BobMarion
Former Admin in Good Standing


Joined: Oct 30, 2002
Posts: 1037
Location: RedNeck Land (known as Kentucky)

PostPosted: Thu Mar 10, 2005 6:51 pm Reply with quote

If for any reason you are not using Patched 2.9 and want to use NukeSentinel 2.2.0 do the following.

Find(within includes/nukesentinel.php):
Code:
// Load required scripts

if (defined('FORUM_ADMIN')) {
  require_once("../../../config.php");
  require_once("../../../db/db.php");
  $lang_dir = "../../../";
} elseif (defined('INSIDE_MOD')) {
  require_once("../../config.php");
  require_once("../../db/db.php");
  $lang_dir = "../../";
} else {
  require_once("config.php");
  require_once("db/db.php");
  $lang_dir = "";
}


ChangeTo:
Code:
// Load required scripts

if ($forum_admin == 1) {
  require_once("../../../config.php");
  require_once("../../../db/db.php");
  $lang_dir = "../../../";
} elseif ($inside_mod == 1) {
  require_once("../../config.php");
  require_once("../../db/db.php");
  $lang_dir = "../../";
} else {
  require_once("config.php");
  require_once("db/db.php");
  $lang_dir = "";
}


Find(in mainfile.php):
Code:
if (defined('FORUM_ADMIN')) {

   include("../../../includes/nukesentinel.php");
} elseif (defined('INSIDE_MOD')) {
   include("../../includes/nukesentinel.php");
} else {
   include("includes/nukesentinel.php");
}


Change To:
Code:
if ($forum_admin == 1) {

   include_once("../../../includes/nukesentinel.php");
} elseif ($inside_mod == 1) {
   include_once("../../includes/nukesentinel.php");
} else {
   include_once("includes/nukesentinel.php");
}


NukeSentinel 2.2.0 takes advatage of Patched 2.9's more secure system for telling if it's being called from forum admin, from inside a module, or from the main system. However with the above you can revert to the Patched 2.8 level and below.

_________________
Bob Marion
Codito Ergo Sum
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Send e-mail Visit poster's website
BobMarion
PostPosted: Fri Mar 11, 2005 10:37 pm Reply with quote

I forgot one other change for Patched 2.8 and below. This one is in admin/modules/nukesentinel.php .

Find:
Code:
if(!defined('ADMIN_FILE')) {

  header("Location: ../../admin.php");
  die();
}


Change To:
Code:
if (!stristr($_SERVER['SCRIPT_NAME'], "admin.php")) {

  die ("Access Denied");
}


For those using 7.6 replace admin.php with ".$admin_file.".php.
 
speedx
PostPosted: Sat Mar 12, 2005 9:18 pm Reply with quote

nevermind Razz
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ Bug Reports

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©